%global		gtestflag 0
Name:		draco
Version:	1.5.6
Release:    1%{?dist}
Summary:	A library for compressing and decompressing 3D geometric meshes and point clouds
License:	Apache-2.0
URL:		https://github.com/google/%{name}
Source0:	%{url}/archive/%{version}/%{name}-%{version}.tar.gz

Patch0:		0001-Use-system-gtest.patch
Patch1:		0002-build-shared-lib.patch

BuildRequires:	cmake
%if %{?gtestflag}
BuildRequires:	cmake(gtest)
%endif
BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	help2man
BuildRequires:	ninja-build
BuildRequires:	pkgconfig(python3)

%description
A library for compressing and decompressing 3D geometric meshes and point clouds

%package	devel
Summary: Development files for draco
Requires: %{name} = %{version}-%{release}

%description	devel
%{summary}.

%prep
%autosetup -p1 -n %{name}-%{version}

rm -fr {javascript,maya,docs/assets}

%build
%cmake -GNinja \
    -DBUILD_SHARED_LIBS=ON \
    -DCMAKE_BUILD_TYPE=Release \
    -DDRACO_TESTS=%{gtestflag}
%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}%{_mandir}/man1
LD_LIBRARY_PATH=%{buildroot}%{_libdir} help2man -N --version-string=%{version} \
	-o %{buildroot}%{_mandir}/man1/%{name}_decoder-%{version}.1 \
	%{buildroot}%{_bindir}/%{name}_decoder
LD_LIBRARY_PATH=%{buildroot}%{_libdir} help2man -N --version-string=%{version} \
	-o %{buildroot}%{_mandir}/man1/%{name}_encoder-%{version}.1 \
	%{buildroot}%{_bindir}/%{name}_encoder

%if %{?gtestflag}
%check
%ifnarch s390x
%{_vpath_builddir}/draco_tests
%endif
%endif

%files
%license LICENSE AUTHORS
%doc README.md
%{_bindir}/%{name}_decoder
%{_bindir}/%{name}_decoder-%{version}
%{_bindir}/%{name}_encoder
%{_bindir}/%{name}_encoder-%{version}
%{_libdir}/lib%{name}.so.8
%{_libdir}/lib%{name}.so.8.0.0
%{_mandir}/man1/%{name}_decoder-%{version}.1*
%{_mandir}/man1/%{name}_encoder-%{version}.1*

%files devel
%{_includedir}/%{name}/
%{_datadir}/cmake/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.6-1
- initial build
